

TC=table(AMS_ECV2011$O,AMS_ECV2011$D,AMS_ECV2011$S,dnn=c("O","D","S"))
TC
MS = glm(Freq ~ O*D*S, data=TC, family=poisson(link="log"))
MS
step(MS, direction="backward", test="Chisq")

TC=table(AMS_ECV2011$O,AMS_ECV2011$D,AMS_ECV2011$C,dnn=c("O","D","C"))
TC
MS = glm(Freq ~ O*D*C, data=TC, family=poisson(link="log"))
MS
step(MS, direction="backward", test="Chisq")

OR=loddsratio(~ AMS_ECV2011$O + AMS_ECV2011$D,ref=c(7,7),log=FALSE) # OR con las últimas categorías como referencia
LOR=loddsratio(~ AMS_ECV2011$O + AMS_ECV2011$D,ref=c(7,7))      # LOR
summary(OR)
summary(LOR)
plot(OR)
plot(LOR)
